| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csStrKey Class Reference
[Containers]

This is a simple helper class to make a copy of a const char*. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
| csStrKey (const csStrKey &c)
| csStrKey (const char *s)
| csStrKey ()
uint | GetHash () const
| operator const char * () const
csStrKey & | operator= (const csStrKey &o)
| ~csStrKey ()

## Detailed Description

This is a simple helper class to make a copy of a const char*.

This can be used to have a hash that makes copies of the keys.

Deprecated:
  csString can also be used for hash keys.

Definition at line 217 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h